Agent Pools - Create Or Update
在指定的受控叢集中建立或更新代理程式集區。
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/agentPools/{agentPoolName}?api-version=2026-07-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
agent
|
path | True |
string minLength: 1maxLength: 12 pattern: ^[a-z][a-z0-9]{0,11}$ |
代理程式集區的名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
resource
|
path | True |
string minLength: 1maxLength: 63 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$ |
受管理叢集資源的名稱。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| if-match |
string |
只有在實體符合此字串時,才應該繼續要求。 |
|
| if-none-match |
string |
只有在沒有實體符合此字串時,才應該繼續要求。 |
要求本文
| 名稱 | 類型 | Description |
|---|---|---|
| properties.artifactStreamingProfile |
在 AKS 上使用成品串流的設定。 |
|
| properties.availabilityZones |
string[] |
節點可用的 Availability zones 清單。 只有在 AgentPoolType 屬性是 'VirtualMachineScaleSets' 時,才能指定這個值。 |
| properties.capacityReservationGroupID |
string (arm-id) |
容量保留群組的完全限定資源 ID,用於從保留的 虛擬機器 群組提供 virtual machines。 此形式為:'/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Compute/capacityreservationgroups/{capacityReservationGroupName}' 客戶會用它建立包含指定 CRG 的代理池。 更多資訊請參見 Capacity Reservation |
| properties.count |
integer (int32) |
裝載 Docker 容器的代理程式 (VM) 數目。 針對使用者集區,允許的值必須介於 0 到 1000 (含) 的範圍內;針對系統集區,允許的值必須介於 1 到 1000 (含) 的範圍。 預設值是 1。 |
| properties.creationData |
如果節點集區將會使用快照集建立/升級,則用來指定來源快照集標識符的 CreationData。 |
|
| properties.enableAutoScaling |
boolean |
是否要啟用自動調整程式 |
| properties.enableEncryptionAtHost |
boolean |
是否要啟用主機型 OS 和數據磁碟驅動器加密。 這只支援特定虛擬機大小和特定 Azure 區域。 如需詳細資訊,請參閱:https://docs.microsoft.com/azure/aks/enable-host-encryption |
| properties.enableFIPS |
boolean |
是否要使用已啟用 FIPS 的 OS。 詳情請參見 Add a enabled FIPS node pool。 |
| properties.enableNodePublicIP |
boolean |
每個節點是否配置自己的公用IP。 某些案例可能需要節點集區中的節點接收自己的專用公用IP位址。 常見的案例是遊戲工作負載,其中控制台需要直接連線到雲端虛擬機,以將躍點降到最低。 更多資訊請參見為節點分配公共 IP。 預設值為 false。 |
| properties.enableUltraSSD |
boolean |
是否要啟用 UltraSSD |
| properties.gatewayProfile |
閘道模式中受控代理程式集區特有的配置檔。 如果代理程式集區模式不是閘道,則無法設定此欄位。 |
|
| properties.gpuInstanceProfile |
要用來為支援的 GPU VM SKU 指定 GPU MIG 實例設定檔的 GPUInstanceProfile。 |
|
| properties.gpuProfile |
代理程式集區的 GPU 設定。 |
|
| properties.hostGroupID |
string (arm-id) |
專用主機群組的完全限定資源 ID,用於配置virtual machines,僅用於建立情境,且設定後不得更改。 這是格式:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/hostGroups/{hostGroupName}。 欲了解更多資訊,請參見 Azure dedicated hosts。 |
| properties.kubeletConfig |
代理程式集區節點上的 Kubelet 組態。 |
|
| properties.kubeletDiskType |
決定空 Dir 卷的放置位置、容器執行時資料根,以及 Kubelet 臨時儲存(ephemeral storage)。 |
|
| properties.linuxOSConfig |
Linux 代理程序節點的 OS 組態。 |
|
| properties.localDNSProfile |
使用 VnetDNS 和 KubeDNS 覆蓋配置每個節點的本地 DNS。 LocalDNS 有助於提高 AKS 群集中 DNS 解析的性能和可靠性。 有關更多詳細資訊,請參閱 aka.ms/aks/localdns。 |
|
| properties.maxCount |
integer (int32) |
自動調整的節點數目上限 |
| properties.maxPods |
integer (int32) |
可在節點上執行的 Pod 數目上限。 |
| properties.messageOfTheDay |
string |
Linux 節點當天的訊息,base64 編碼。 base64 編碼的字串,將在譯碼之後寫入 /etc/motd。 這允許自定義 Linux 節點當天的訊息。 它不得指定給 Windows 節點。 它必須是靜態字串(也就是將列印為未經處理,而不是以腳本的形式執行)。 |
| properties.minCount |
integer (int32) |
自動調整的節點數目下限 |
| properties.mode |
代理程式集區的模式。 叢集必須隨時至少有一個「系統」代理程式集區。 如需代理程式集區限制和最佳做法的其他資訊,請參閱:https://docs.microsoft.com/azure/aks/use-system-pools |
|
| properties.networkProfile |
代理程式集區的網路相關設定。 |
|
| properties.nodeImageVersion |
string |
節點映像的版本。 設定此值會觸發 agentPool 回滾。
只允許輸入 的 |
| properties.nodeLabels |
object |
要跨代理程式集區中所有節點保存的節點標籤。 |
| properties.nodePublicIPPrefixID |
string (arm-id) |
VM 節點應該使用IP的公用IP前置詞標識碼。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes/{publicIPPrefixName} |
| properties.nodeTaints |
string[] |
節點集區建立和調整期間新增至新節點的污點。 例如,key=value:NoSchedule。 |
| properties.orchestratorVersion |
string |
使用者指定的 Kubernetes 版本。 支援修補程式版本 <major.minor.patch> (例如 1.20.13)和 <major.minor> (例如 1.20)。 指定 major.minor< 時>,會自動選擇最新支援的 GA 修補程式版本。 在建立叢集之後,以相同的 <major.minor> 更新叢集(例如 1.14.x -> 1.14)將不會觸發升級,即使有較新的修補程式版本也一樣。 最佳做法是,您應該將 AKS 叢集中的所有節點集區升級為相同的 Kubernetes 版本。 節點集區版本必須與控制平面具有相同的主要版本。 節點集區次要版本必須位於控制平面版本的兩個次要版本內。 節點集區版本不能大於控制平面版本。 更多資訊請參見升級節點池。 |
| properties.osDiskSizeGB |
integer (int32) minimum: 0maximum: 2048 |
OS 磁碟大小 GB,用來指定主要/代理程式集區中每部計算機的磁碟大小。 如果您指定 0,它會根據指定的 vmSize 套用預設 osDisk 大小。 |
| properties.osDiskType |
要用於代理程式集區中機器的 OS 磁碟類型。 如果 VM 支援,且快取磁碟大於要求的 OSDiskSizeGB,則預設值為 「暫時」。 否則,預設為 「受控」。 建立之後可能不會變更。 更多資訊請參見 Ephemeral OS。 |
|
| properties.osSKU |
指定代理程式集區所使用的 OS SKU。 如果OSType為Linux,則預設值為Ubuntu。 當 Kubernetes <= 1.24 或 Windows2022 時,如果 OSType >為 Windows,則預設值為 Windows2019。 |
|
| properties.osType |
作系統類型。 預設值為 Linux。 |
|
| properties.podIPAllocationMode |
Pod IP 分配模式。 代理程式集區中 Pod 的 IP 配置模式。 必須與 podSubnetId 搭配使用。 預設值為 『DynamicIndividual』。 |
|
| properties.podSubnetID |
string (arm-id) |
啟動時,Pod 會加入之子網的標識碼。 如果省略,則會在節點子網上靜態指派 Pod IP(如需詳細資訊,請參閱 vnetSubnetID)。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName} |
| properties.powerState |
代理程式集區正在執行或停止。 第一次建立代理程式集區時,它一開始會執行。 您可以將此欄位設定為 [已停止] 來停止代理程式集區。 已停止的代理程式集區會停止其所有 VM,而不會產生計費費用。 只有在執行中且布建狀態為 [成功] 時,才能停止代理程式集區 |
|
| properties.proximityPlacementGroupID |
string (arm-id) |
鄰近放置群組的標識碼。 |
| properties.scaleDownMode |
調整代理程式集區時要使用的相應減少模式。 這也會影響叢集自動調整程序的行為。 如果未指定,則預設為 Delete。 |
|
| properties.scaleSetEvictionPolicy |
虛擬機器擴展集收回原則。 驅逐政策會明確說明當虛擬機被驅逐時to do什麼。 預設值為刪除。 欲了解更多驅逐資訊,請參見 spot VMs |
|
| properties.scaleSetPriority |
虛擬機擴展集優先順序。 |
|
| properties.securityProfile |
代理程式集區的安全性設定。 |
|
| properties.spotMaxPrice |
number (float) |
您願意為現成實例支付的最高價格(以美元為單位)。 可能的值為大於零或 -1 的任何十進位值,表示依需求 up-to 默認價格。 可能的值為大於零或 -1 的任何十進位值,表示願意支付任何隨選價格。 欲了解更多現貨價格,請參閱 spot VMs 價格 |
| properties.status |
包含代理程式集區的唯讀資訊。 |
|
| properties.tags |
object |
要保存在代理程式集區虛擬機擴展集上的標記。 |
| properties.type |
Agent 集區的類型。 |
|
| properties.upgradeSettings |
升級代理程式集池的設定 |
|
| properties.virtualMachineNodesStatus |
VirtualMachines 代理程式集區中的節點狀態。 |
|
| properties.virtualMachinesProfile |
VirtualMachines 代理程式集區的規格。 |
|
| properties.vmSize |
string |
代理程式集區 VM 的大小。 VM 大小可用性會因區域而異。 如果節點包含計算資源不足(記憶體、cpu 等)Pod 可能無法正確執行。 如需受限制 VM 大小的詳細資訊,請參閱:https://docs.microsoft.com/azure/aks/quotas-skus-regions |
| properties.vnetSubnetID |
string (arm-id) |
代理程式集區節點和選擇性 Pod 將在啟動時加入的子網標識碼。 如果未指定此專案,則會產生及使用 VNET 和子網。 如果未指定 podSubnetID,這會套用至節點和 Pod,否則只會套用至節點。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName} |
| properties.windowsProfile |
Windows 代理程式集區的特定配置檔。 |
|
| properties.workloadRuntime |
決定節點可執行的工作負載類型。 |
回覆
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
資源 'AgentPool' 更新作業成功 |
|
| 201 Created |
資源 'AgentPool' 建立作業成功 標題
|
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 冒用您的使用者帳戶 |
範例
Create Agent Pool using an agent pool snapshot
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"creationData": {
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/snapshots/snapshot1"
},
"enableFIPS": true,
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"creationData": {
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/snapshots/snapshot1"
},
"currentOrchestratorVersion": "1.19.6",
"enableFIPS": true,
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"creationData": {
"sourceResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/snapshots/snapshot1"
},
"currentOrchestratorVersion": "1.19.6",
"enableFIPS": true,
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with Capacity Reservation Group
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"capacityReservationGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/CapacityReservationGroups/crg1",
"count": 3,
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"capacityReservationGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/CapacityReservationGroups/crg1",
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"capacityReservationGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/CapacityReservationGroups/crg1",
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with Dedicated Host Group
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"hostGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.Compute/hostGroups/hostgroup1",
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"hostGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.Compute/hostGroups/hostgroup1",
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"hostGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg/providers/Microsoft.Compute/hostGroups/hostgroup1",
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with EncryptionAtHost enabled
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"enableEncryptionAtHost": true,
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.13",
"enableEncryptionAtHost": true,
"maxPods": 110,
"orchestratorVersion": "1.17.13",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.13",
"enableEncryptionAtHost": true,
"maxPods": 110,
"orchestratorVersion": "1.17.13",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with Ephemeral OS Disk
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"orchestratorVersion": "",
"osDiskSizeGB": 64,
"osDiskType": "Ephemeral",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osDiskType": "Ephemeral",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"kubeletDiskType": "OS",
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osDiskType": "Ephemeral",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with FIPS enabled OS
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"enableFIPS": true,
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.19.6",
"enableFIPS": true,
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.19.6",
"enableFIPS": true,
"maxPods": 110,
"orchestratorVersion": "1.19.6",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with GPUMIG
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"gpuInstanceProfile": "MIG2g",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_ND96asr_v4"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"gpuInstanceProfile": "MIG2g",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_ND96asr_v4"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"gpuInstanceProfile": "MIG2g",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"podMaxPids": 100,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 65536,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_ND96asr_v4"
}
}
Create Agent Pool with Krustlet and the WASI runtime
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"mode": "User",
"orchestratorVersion": "",
"osDiskSizeGB": 64,
"osType": "Linux",
"vmSize": "Standard_DS2_v2",
"workloadRuntime": "WasmWasi"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"maxPods": 110,
"mode": "User",
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2",
"workloadRuntime": "WasmWasi"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"maxPods": 110,
"mode": "User",
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2",
"workloadRuntime": "WasmWasi"
}
}
Create Agent Pool with KubeletConfig and LinuxOSConfig
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"podMaxPids": 100,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 65536,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with Message of the Day
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"messageOfTheDay": "Zm9vCg==",
"mode": "User",
"orchestratorVersion": "",
"osDiskSizeGB": 64,
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"maxPods": 110,
"messageOfTheDay": "Zm9vCg==",
"mode": "User",
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"maxPods": 110,
"messageOfTheDay": "Zm9vCg==",
"mode": "User",
"orchestratorVersion": "1.17.8",
"osDiskSizeGB": 64,
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with OSSKU
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"orchestratorVersion": "",
"osSKU": "AzureLinux",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 12345,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osSKU": "AzureLinux",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.8",
"kubeletConfig": {
"allowedUnsafeSysctls": [
"kernel.msg*",
"net.core.somaxconn"
],
"cpuCfsQuota": true,
"cpuCfsQuotaPeriod": "200ms",
"cpuManagerPolicy": "static",
"failSwapOn": false,
"imageGcHighThreshold": 90,
"imageGcLowThreshold": 70,
"podMaxPids": 100,
"topologyManagerPolicy": "best-effort"
},
"linuxOSConfig": {
"swapFileSizeMB": 1500,
"sysctls": {
"kernelThreadsMax": 99999,
"netCoreWmemDefault": 65536,
"netIpv4IpLocalPortRange": "20000 60000",
"netIpv4TcpTwReuse": true
},
"transparentHugePageDefrag": "madvise",
"transparentHugePageEnabled": "always"
},
"maxPods": 110,
"orchestratorVersion": "1.17.8",
"osSKU": "AzureLinux",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with PPG
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"orchestratorVersion": "",
"osType": "Linux",
"proximityPlacementGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/proximityPlacementGroups/ppg1",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"proximityPlacementGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/proximityPlacementGroups/ppg1",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Creating",
"proximityPlacementGroupID": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Compute/proximityPlacementGroups/ppg1",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with UltraSSD enabled
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"enableUltraSSD": true,
"orchestratorVersion": "",
"osType": "Linux",
"vmSize": "Standard_DS2_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.13",
"enableUltraSSD": true,
"maxPods": 110,
"orchestratorVersion": "1.17.13",
"osType": "Linux",
"provisioningState": "Succeeded",
"vmSize": "Standard_DS2_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.17.13",
"enableUltraSSD": true,
"maxPods": 110,
"orchestratorVersion": "1.17.13",
"osType": "Linux",
"provisioningState": "Creating",
"vmSize": "Standard_DS2_v2"
}
}
Create Agent Pool with VirtualMachines pool type
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"type": "VirtualMachines",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"tags": {
"name1": "val1"
},
"virtualMachinesProfile": {
"scale": {
"manual": [
{
"count": 3,
"size": "Standard_D2_v2"
},
{
"count": 2,
"size": "Standard_D2_v3"
}
]
}
}
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"type": "VirtualMachines",
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"nodeImageVersion": "AKSUbuntu-1804gen2containerd-2021.09.11",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"tags": {
"name1": "val1"
},
"virtualMachineNodesStatus": [
{
"count": 3,
"size": "Standard_D2_v2"
},
{
"count": 2,
"size": "Standard_D2_v3"
}
],
"virtualMachinesProfile": {
"scale": {
"manual": [
{
"count": 3,
"size": "Standard_D2_v2"
},
{
"count": 2,
"size": "Standard_D2_v3"
}
]
}
}
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"type": "VirtualMachines",
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"nodeImageVersion": "AKSUbuntu-1804gen2containerd-2021.09.11",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Creating",
"tags": {
"name1": "val1"
},
"virtualMachineNodesStatus": [
{
"count": 3,
"size": "Standard_D2_v2"
},
{
"count": 2,
"size": "Standard_D2_v3"
}
],
"virtualMachinesProfile": {
"scale": {
"manual": [
{
"count": 3,
"size": "Standard_D2_v2"
},
{
"count": 2,
"size": "Standard_D2_v3"
}
]
}
}
}
}
Create Agent Pool with VirtualMachines pool type with autoscaling enabled
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"type": "VirtualMachines",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.29.0",
"osType": "Linux",
"tags": {
"name1": "val1"
},
"virtualMachinesProfile": {
"scale": {
"autoscale": [
{
"maxCount": 5,
"minCount": 1,
"size": "Standard_D2_v2"
}
]
}
}
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"type": "VirtualMachines",
"currentOrchestratorVersion": "1.29.0",
"maxPods": 110,
"nodeImageVersion": "AKSUbuntu-1804gen2containerd-2021.09.11",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.29.0",
"osType": "Linux",
"provisioningState": "Succeeded",
"tags": {
"name1": "val1"
},
"virtualMachineNodesStatus": [
{
"count": 1,
"size": "Standard_D2_v2"
}
],
"virtualMachinesProfile": {
"scale": {
"autoscale": [
{
"maxCount": 5,
"minCount": 1,
"size": "Standard_D2_v2"
}
]
}
}
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"type": "VirtualMachines",
"currentOrchestratorVersion": "1.29.0",
"maxPods": 110,
"nodeImageVersion": "AKSUbuntu-1804gen2containerd-2021.09.11",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.29.0",
"osType": "Linux",
"provisioningState": "Creating",
"tags": {
"name1": "val1"
},
"virtualMachineNodesStatus": [
{
"count": 1,
"size": "Standard_D2_v2"
}
],
"virtualMachinesProfile": {
"scale": {
"autoscale": [
{
"maxCount": 5,
"minCount": 1,
"size": "Standard_D2_v2"
}
]
}
}
}
}
Create Agent Pool with Windows OSSKU
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2?api-version=2026-07-01
{
"properties": {
"count": 3,
"orchestratorVersion": "1.23.3",
"osSKU": "Windows2022",
"osType": "Windows",
"vmSize": "Standard_D4s_v3"
}
}
範例回覆
{
"name": "wnp2",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.23.3",
"maxPods": 110,
"orchestratorVersion": "1.23.3",
"osSKU": "Windows2022",
"osType": "Windows",
"provisioningState": "Succeeded",
"vmSize": "Standard_D4s_v3"
}
}
{
"name": "wnp2",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.23.3",
"maxPods": 110,
"orchestratorVersion": "1.23.3",
"osSKU": "Windows2022",
"osType": "Windows",
"provisioningState": "Creating",
"vmSize": "Standard_D4s_v3"
}
}
Create Spot Agent Pool
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "",
"osType": "Linux",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"spotMaxPrice": -1,
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Creating",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"spotMaxPrice": -1,
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
Create Windows Agent Pool with disabling OutboundNAT
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2?api-version=2026-07-01
{
"properties": {
"count": 3,
"orchestratorVersion": "1.23.8",
"osSKU": "Windows2022",
"osType": "Windows",
"vmSize": "Standard_D4s_v3",
"windowsProfile": {
"disableOutboundNat": true
}
}
}
範例回覆
{
"name": "wnp2",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.23.8",
"maxPods": 110,
"orchestratorVersion": "1.23.8",
"osSKU": "Windows2022",
"osType": "Windows",
"provisioningState": "Succeeded",
"vmSize": "Standard_D4s_v3",
"windowsProfile": {
"disableOutboundNat": true
}
}
}
{
"name": "wnp2",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/wnp2",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.23.8",
"maxPods": 110,
"orchestratorVersion": "1.23.8",
"osSKU": "Windows2022",
"osType": "Windows",
"provisioningState": "Creating",
"vmSize": "Standard_D4s_v3",
"windowsProfile": {
"disableOutboundNat": true
}
}
}
Create/Update Agent Pool
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"mode": "User",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "",
"osType": "Linux",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"mode": "User",
"nodeImageVersion": "AKSUbuntu:1604:2020.03.11",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"maxPods": 110,
"mode": "User",
"nodeLabels": {
"key1": "val1"
},
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Creating",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"tags": {
"name1": "val1"
},
"vmSize": "Standard_DS1_v2"
}
}
Start Agent Pool
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"powerState": {
"code": "Running"
}
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 50,
"enableAutoScaling": true,
"maxCount": 55,
"minCount": 3,
"powerState": {
"code": "Running"
},
"provisioningState": "Starting"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 50,
"enableAutoScaling": true,
"maxCount": 55,
"minCount": 3,
"powerState": {
"code": "Running"
},
"provisioningState": "Starting"
}
}
Stop Agent Pool
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"powerState": {
"code": "Stopped"
}
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 0,
"enableAutoScaling": false,
"powerState": {
"code": "Stopped"
},
"provisioningState": "Stopping"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 0,
"enableAutoScaling": false,
"powerState": {
"code": "Stopped"
},
"provisioningState": "Stopping"
}
}
Update Agent Pool
範例要求
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1?api-version=2026-07-01
{
"properties": {
"count": 3,
"enableAutoScaling": true,
"maxCount": 2,
"minCount": 2,
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "",
"osType": "Linux",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"vmSize": "Standard_DS1_v2"
}
}
範例回覆
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"enableAutoScaling": true,
"maxCount": 2,
"maxPods": 110,
"minCount": 2,
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Succeeded",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"vmSize": "Standard_DS1_v2"
}
}
{
"name": "agentpool1",
"type": "Microsoft.ContainerService/managedClusters/agentPools",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/agentPools/agentpool1",
"properties": {
"count": 3,
"currentOrchestratorVersion": "1.9.6",
"enableAutoScaling": true,
"maxCount": 2,
"maxPods": 110,
"minCount": 2,
"nodeTaints": [
"Key1=Value1:NoSchedule"
],
"orchestratorVersion": "1.9.6",
"osType": "Linux",
"provisioningState": "Updating",
"scaleSetEvictionPolicy": "Delete",
"scaleSetPriority": "Spot",
"vmSize": "Standard_DS1_v2"
}
}
定義
| 名稱 | Description |
|---|---|
|
Agent |
代理程式集區。 |
|
Agent |
代理池的 Artifact 串流設定檔。 |
|
Agent |
受控叢集網關代理程式集區的配置檔。 |
|
Agent |
代理程式集區的模式。 叢集必須隨時至少有一個「系統」代理程式集區。 如需代理程式集區限制和最佳做法的其他資訊,請參閱:https://docs.microsoft.com/azure/aks/use-system-pools |
|
Agent |
代理程式集區的網路設定。 |
|
Agent |
代理程式集區的安全性設定。 |
|
Agent |
代理池的 SSH access 方法。 |
|
Agent |
包含代理程式集區的唯讀資訊。 |
|
Agent |
Agent 集區的類型。 |
|
Agent |
升級代理程式集池的設定 |
|
Agent |
Windows 代理程式集區的特定配置檔。 |
|
Auto |
自動調整的規格。 |
| Code |
告知叢集是否正在執行或已停止 |
|
created |
建立此資源的身分識別類型。 |
|
Creation |
從來源資源建立目標資源時所使用的數據。 |
| DRANETMode |
特工池的DRANET模式。 |
| DRANETProfile |
DRANET 代理池的設定。 |
|
Error |
資源管理錯誤其他資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
錯誤回應 |
| GPUDriver |
是否要安裝 GPU 驅動程式。 未指定時,預設值為 [安裝]。 |
|
GPUInstance |
要用來為支援的 GPU VM SKU 指定 GPU MIG 實例設定檔的 GPUInstanceProfile。 |
| GPUProfile |
代理程式集區的 GPU 設定。 |
| IPTag |
包含與 對象相關聯的IPTag。 |
|
Kubelet |
代理程序節點的 Kubelet 組態。 如需詳細資訊,請參閱 AKS 自定義節點組態。 |
|
Kubelet |
決定空 Dir 卷的放置位置、容器執行時資料根,以及 Kubelet 臨時儲存(ephemeral storage)。 |
|
Linux |
Linux 代理程序節點的 OS 組態。 如需詳細資訊,請參閱 AKS 自定義節點組態。 |
|
Local |
要從 localDNS 轉發的 DNS 查詢的目標伺服器。 |
|
Local |
用於選擇上游 DNS 伺服器的轉發策略。 有關更多資訊,請參閱 forward plugin 。 |
|
Local |
localDNS 的啟用模式。 |
|
Local |
localDNS 設定檔的覆蓋。 |
|
Local |
使用 VnetDNS 和 KubeDNS 覆蓋配置每個節點的本地 DNS。 LocalDNS 有助於提高 AKS 群集中 DNS 解析的性能和可靠性。 有關更多詳細資訊,請參閱 aka.ms/aks/localdns。 |
|
Local |
對於從 localDNS 到上游 DNS 伺服器的連接,強制執行 TCP 或首選 UDP 協定。 |
|
Local |
localDNS 中 DNS 查詢的日誌級別。 |
|
Local |
用於提供過時數據的策略。 有關更多資訊,請參閱 緩存外掛程式 。 |
|
Local |
系統產生的 localDNS 狀態。 |
|
Manual |
機器數目的規格。 |
|
OSDisk |
要用於代理程式集區中機器的 OS 磁碟類型。 如果 VM 支援,且快取磁碟大於要求的 OSDiskSizeGB,則預設值為 「暫時」。 否則,預設為 「受控」。 建立之後可能不會變更。 更多資訊請參見 Ephemeral OS。 |
| OSSKU |
指定代理程式集區所使用的 OS SKU。 如果OSType為Linux,則預設值為Ubuntu。 當 Kubernetes <= 1.24 或 Windows2022 時,如果 OSType >為 Windows,則預設值為 Windows2019。 |
| OSType |
作系統類型。 預設值為 Linux。 |
|
Pod |
Pod IP 分配模式。 代理程式集區中 Pod 的 IP 配置模式。 必須與 podSubnetId 搭配使用。 預設值為 『DynamicIndividual』。 |
|
Port |
埠範圍。 |
|
Power |
描述叢集的電源狀態 |
| Protocol |
埠的網路通訊協定。 |
|
Scale |
描述如何將 VM 新增至代理程式集區或從代理程式集區移除。 請參閱 計費狀態。 |
|
Scale |
如何調整 VirtualMachines 代理程式集區的規格。 |
|
Scale |
虛擬機器擴展集收回原則。 驅逐政策會明確說明當虛擬機被驅逐時to do什麼。 預設值為刪除。 欲了解更多驅逐資訊,請參見 spot VMs |
|
Scale |
虛擬機擴展集優先順序。 |
|
Sysctl |
Linux 代理程序節點的 Sysctl 設定。 |
|
system |
與建立和上次修改資源相關的元數據。 |
|
Undrainable |
定義升級期間無法透支節點的行為。 無法透支節點最常見的原因是 Pod 中斷預算 (PDB),但其他問題,例如 Pod 終止寬限期超過剩餘的個別節點清空逾時,或 Pod 仍在執行中狀態,也可能導致無法執行的節點。 |
|
Virtual |
相同 VM 大小的節點群組目前狀態。 |
|
Virtual |
VirtualMachines 代理程式集區的規格。 |
|
Workload |
決定節點可執行的工作負載類型。 |
AgentPool
代理程式集區。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| id |
string (arm-id) |
資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
|
| name |
string |
資源的名稱 |
|
| properties.artifactStreamingProfile |
在 AKS 上使用成品串流的設定。 |
||
| properties.availabilityZones |
string[] |
節點可用的 Availability zones 清單。 只有在 AgentPoolType 屬性是 'VirtualMachineScaleSets' 時,才能指定這個值。 |
|
| properties.capacityReservationGroupID |
string (arm-id) |
容量保留群組的完全限定資源 ID,用於從保留的 虛擬機器 群組提供 virtual machines。 此形式為:'/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Compute/capacityreservationgroups/{capacityReservationGroupName}' 客戶會用它建立包含指定 CRG 的代理池。 更多資訊請參見 Capacity Reservation |
|
| properties.count |
integer (int32) |
裝載 Docker 容器的代理程式 (VM) 數目。 針對使用者集區,允許的值必須介於 0 到 1000 (含) 的範圍內;針對系統集區,允許的值必須介於 1 到 1000 (含) 的範圍。 預設值是 1。 |
|
| properties.creationData |
如果節點集區將會使用快照集建立/升級,則用來指定來源快照集標識符的 CreationData。 |
||
| properties.currentOrchestratorVersion |
string |
Agent 集區正在執行的 Kubernetes 版本。 如果 orchestratorVersion 是 <major.minor.patch>的完整指定版本,則此字段會完全相等。 如果 orchestratorVersion <major.minor>,則此字段會包含使用的完整 <major.minor.patch> 版本。 |
|
| properties.eTag |
string |
用來實作開放式並行存取的唯一隻讀字串。 更新資源時,eTag 值將會變更。 指定 if-match 或 if-none-match 標頭,其中包含後續請求的 eTag 值,以根據一般 eTag 慣例啟用樂觀並行。 |
|
| properties.enableAutoScaling |
boolean |
是否要啟用自動調整程式 |
|
| properties.enableEncryptionAtHost |
boolean |
是否要啟用主機型 OS 和數據磁碟驅動器加密。 這只支援特定虛擬機大小和特定 Azure 區域。 如需詳細資訊,請參閱:https://docs.microsoft.com/azure/aks/enable-host-encryption |
|
| properties.enableFIPS |
boolean |
是否要使用已啟用 FIPS 的 OS。 詳情請參見 Add a enabled FIPS node pool。 |
|
| properties.enableNodePublicIP |
boolean |
每個節點是否配置自己的公用IP。 某些案例可能需要節點集區中的節點接收自己的專用公用IP位址。 常見的案例是遊戲工作負載,其中控制台需要直接連線到雲端虛擬機,以將躍點降到最低。 更多資訊請參見為節點分配公共 IP。 預設值為 false。 |
|
| properties.enableUltraSSD |
boolean |
是否要啟用 UltraSSD |
|
| properties.gatewayProfile |
閘道模式中受控代理程式集區特有的配置檔。 如果代理程式集區模式不是閘道,則無法設定此欄位。 |
||
| properties.gpuInstanceProfile |
要用來為支援的 GPU VM SKU 指定 GPU MIG 實例設定檔的 GPUInstanceProfile。 |
||
| properties.gpuProfile |
代理程式集區的 GPU 設定。 |
||
| properties.hostGroupID |
string (arm-id) |
專用主機群組的完全限定資源 ID,用於配置virtual machines,僅用於建立情境,且設定後不得更改。 這是格式:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/hostGroups/{hostGroupName}。 欲了解更多資訊,請參見 Azure dedicated hosts。 |
|
| properties.kubeletConfig |
代理程式集區節點上的 Kubelet 組態。 |
||
| properties.kubeletDiskType |
決定空 Dir 卷的放置位置、容器執行時資料根,以及 Kubelet 臨時儲存(ephemeral storage)。 |
||
| properties.linuxOSConfig |
Linux 代理程序節點的 OS 組態。 |
||
| properties.localDNSProfile |
使用 VnetDNS 和 KubeDNS 覆蓋配置每個節點的本地 DNS。 LocalDNS 有助於提高 AKS 群集中 DNS 解析的性能和可靠性。 有關更多詳細資訊,請參閱 aka.ms/aks/localdns。 |
||
| properties.maxCount |
integer (int32) |
自動調整的節點數目上限 |
|
| properties.maxPods |
integer (int32) |
可在節點上執行的 Pod 數目上限。 |
|
| properties.messageOfTheDay |
string |
Linux 節點當天的訊息,base64 編碼。 base64 編碼的字串,將在譯碼之後寫入 /etc/motd。 這允許自定義 Linux 節點當天的訊息。 它不得指定給 Windows 節點。 它必須是靜態字串(也就是將列印為未經處理,而不是以腳本的形式執行)。 |
|
| properties.minCount |
integer (int32) |
自動調整的節點數目下限 |
|
| properties.mode |
代理程式集區的模式。 叢集必須隨時至少有一個「系統」代理程式集區。 如需代理程式集區限制和最佳做法的其他資訊,請參閱:https://docs.microsoft.com/azure/aks/use-system-pools |
||
| properties.networkProfile |
代理程式集區的網路相關設定。 |
||
| properties.nodeImageVersion |
string |
節點映像的版本。 設定此值會觸發 agentPool 回滾。
只允許輸入 的 |
|
| properties.nodeLabels |
object |
要跨代理程式集區中所有節點保存的節點標籤。 |
|
| properties.nodePublicIPPrefixID |
string (arm-id) |
VM 節點應該使用IP的公用IP前置詞標識碼。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/publicIPPrefixes/{publicIPPrefixName} |
|
| properties.nodeTaints |
string[] |
節點集區建立和調整期間新增至新節點的污點。 例如,key=value:NoSchedule。 |
|
| properties.orchestratorVersion |
string |
使用者指定的 Kubernetes 版本。 支援修補程式版本 <major.minor.patch> (例如 1.20.13)和 <major.minor> (例如 1.20)。 指定 major.minor< 時>,會自動選擇最新支援的 GA 修補程式版本。 在建立叢集之後,以相同的 <major.minor> 更新叢集(例如 1.14.x -> 1.14)將不會觸發升級,即使有較新的修補程式版本也一樣。 最佳做法是,您應該將 AKS 叢集中的所有節點集區升級為相同的 Kubernetes 版本。 節點集區版本必須與控制平面具有相同的主要版本。 節點集區次要版本必須位於控制平面版本的兩個次要版本內。 節點集區版本不能大於控制平面版本。 更多資訊請參見升級節點池。 |
|
| properties.osDiskSizeGB |
integer (int32) minimum: 0maximum: 2048 |
OS 磁碟大小 GB,用來指定主要/代理程式集區中每部計算機的磁碟大小。 如果您指定 0,它會根據指定的 vmSize 套用預設 osDisk 大小。 |
|
| properties.osDiskType |
要用於代理程式集區中機器的 OS 磁碟類型。 如果 VM 支援,且快取磁碟大於要求的 OSDiskSizeGB,則預設值為 「暫時」。 否則,預設為 「受控」。 建立之後可能不會變更。 更多資訊請參見 Ephemeral OS。 |
||
| properties.osSKU |
指定代理程式集區所使用的 OS SKU。 如果OSType為Linux,則預設值為Ubuntu。 當 Kubernetes <= 1.24 或 Windows2022 時,如果 OSType >為 Windows,則預設值為 Windows2019。 |
||
| properties.osType | Linux |
作系統類型。 預設值為 Linux。 |
|
| properties.podIPAllocationMode |
Pod IP 分配模式。 代理程式集區中 Pod 的 IP 配置模式。 必須與 podSubnetId 搭配使用。 預設值為 『DynamicIndividual』。 |
||
| properties.podSubnetID |
string (arm-id) |
啟動時,Pod 會加入之子網的標識碼。 如果省略,則會在節點子網上靜態指派 Pod IP(如需詳細資訊,請參閱 vnetSubnetID)。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName} |
|
| properties.powerState |
代理程式集區正在執行或停止。 第一次建立代理程式集區時,它一開始會執行。 您可以將此欄位設定為 [已停止] 來停止代理程式集區。 已停止的代理程式集區會停止其所有 VM,而不會產生計費費用。 只有在執行中且布建狀態為 [成功] 時,才能停止代理程式集區 |
||
| properties.provisioningState |
string |
目前的部署或布建狀態。 |
|
| properties.proximityPlacementGroupID |
string (arm-id) |
鄰近放置群組的標識碼。 |
|
| properties.scaleDownMode |
調整代理程式集區時要使用的相應減少模式。 這也會影響叢集自動調整程序的行為。 如果未指定,則預設為 Delete。 |
||
| properties.scaleSetEvictionPolicy | Delete |
虛擬機器擴展集收回原則。 驅逐政策會明確說明當虛擬機被驅逐時to do什麼。 預設值為刪除。 欲了解更多驅逐資訊,請參見 spot VMs |
|
| properties.scaleSetPriority | Regular |
虛擬機擴展集優先順序。 |
|
| properties.securityProfile |
代理程式集區的安全性設定。 |
||
| properties.spotMaxPrice |
number (float) |
-1 |
您願意為現成實例支付的最高價格(以美元為單位)。 可能的值為大於零或 -1 的任何十進位值,表示依需求 up-to 默認價格。 可能的值為大於零或 -1 的任何十進位值,表示願意支付任何隨選價格。 欲了解更多現貨價格,請參閱 spot VMs 價格 |
| properties.status |
包含代理程式集區的唯讀資訊。 |
||
| properties.tags |
object |
要保存在代理程式集區虛擬機擴展集上的標記。 |
|
| properties.type |
Agent 集區的類型。 |
||
| properties.upgradeSettings |
升級代理程式集池的設定 |
||
| properties.virtualMachineNodesStatus |
VirtualMachines 代理程式集區中的節點狀態。 |
||
| properties.virtualMachinesProfile |
VirtualMachines 代理程式集區的規格。 |
||
| properties.vmSize |
string |
代理程式集區 VM 的大小。 VM 大小可用性會因區域而異。 如果節點包含計算資源不足(記憶體、cpu 等)Pod 可能無法正確執行。 如需受限制 VM 大小的詳細資訊,請參閱:https://docs.microsoft.com/azure/aks/quotas-skus-regions |
|
| properties.vnetSubnetID |
string (arm-id) |
代理程式集區節點和選擇性 Pod 將在啟動時加入的子網標識碼。 如果未指定此專案,則會產生及使用 VNET 和子網。 如果未指定 podSubnetID,這會套用至節點和 Pod,否則只會套用至節點。 格式如下:/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName} |
|
| properties.windowsProfile |
Windows 代理程式集區的特定配置檔。 |
||
| properties.workloadRuntime |
決定節點可執行的工作負載類型。 |
||
| systemData |
包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。 |
||
| type |
string |
資源的類型。 例如:「Microsoft.Compute/virtualMachines」或「Microsoft.Storage/storageAccounts」 |
AgentPoolArtifactStreamingProfile
代理池的 Artifact 串流設定檔。
| 名稱 | 類型 | Description |
|---|---|---|
| enabled |
boolean |
成品串流可透過隨選映射載入,加速節點上容器的冷啟動。 若要使用這項功能,容器映像也必須在 ACR 上啟用成品串流。 如果未指定,則預設值為 false。 |
AgentPoolGatewayProfile
受控叢集網關代理程式集區的配置檔。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| publicIPPrefixSize |
integer (int32) minimum: 28maximum: 31 |
31 |
網關代理程式集區會為每個靜態輸出閘道建立一個公用IPPrefix的關聯,以提供公用輸出。 用戶應該選取公用IPPrefix的大小。 代理程式集區中的每個節點都會從IPPrefix指派一個IP。 因此,IPPrefix 大小會做為閘道代理程式集區大小的上限。 由於 Azure 公開 IPPrefix 大小限制,有效值範圍為 [28, 31](/31 = 2 節點/IP,/30 = 4 節點/IP,/29 = 8 節點/IP,/28 = 16 節點/IP)。 預設值為 31。 |
AgentPoolMode
代理程式集區的模式。 叢集必須隨時至少有一個「系統」代理程式集區。 如需代理程式集區限制和最佳做法的其他資訊,請參閱:https://docs.microsoft.com/azure/aks/use-system-pools
| 值 | Description |
|---|---|
| System |
系統代理程式集區主要是用來裝載重要的系統 Pod,例如 CoreDNS 和 metrics-server。 系統代理程式集區 osType 必須是 Linux。 系統代理程式集區 VM SKU 必須至少有 2vCPU 和 4 GB 的記憶體。 |
| User |
使用者代理程式集區主要是用來裝載應用程式Pod。 |
| Gateway |
網關代理程式集區專用於為 Pod 提供靜態輸出 IP。 如需詳細資訊,請參閱 https://aka.ms/aks/static-egress-gateway。 |
AgentPoolNetworkProfile
代理程式集區的網路設定。
| 名稱 | 類型 | Description |
|---|---|---|
| allowedHostPorts |
允許 access 的埠範圍。 允許指定的範圍重疊。 |
|
| applicationSecurityGroups |
string[] (arm-id) |
應用程式安全組的標識碼,代理程式集區會在建立時產生關聯。 |
| dranet |
DRANET 代理池的設定。 |
|
| nodePublicIPTags |
IPTag[] |
實例層級公用IP的IPTag。 |
AgentPoolSecurityProfile
代理程式集區的安全性設定。
| 名稱 | 類型 | Description |
|---|---|---|
| enableSecureBoot |
boolean |
安全開機是受信任的啟動功能,可確保只有已簽署的作系統和驅動程式才能開機。 如需詳細資訊,請參閱 aka.ms/aks/trustedlaunch。 如果未指定,則預設值為 false。 |
| enableVTPM |
boolean |
vTPM 是受信任的啟動功能,用於設定節點上本機所保留密鑰和度量的專用安全保存庫。 如需詳細資訊,請參閱 aka.ms/aks/trustedlaunch。 如果未指定,則預設值為 false。 |
| sshAccess |
代理池的 SSH access 方法。 |
AgentPoolSSHAccess
代理池的 SSH access 方法。
| 值 | Description |
|---|---|
| LocalUser |
可以使用私密金鑰以本機使用者身分 SSH 連線到節點。 |
| Disabled |
SSH 服務將在節點上關閉。 |
| EntraId |
SSH 至具有 EntraId 整合的節點。 更多信息可以在以下位置找到 https://aka.ms/aks/ssh/aad |
AgentPoolStatus
包含代理程式集區的唯讀資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| provisioningError |
代理程式集區的錯誤詳細資訊。 保留失敗的詳細資訊。 如果沒有錯誤,則會省略此欄位。 |
AgentPoolType
Agent 集區的類型。
| 值 | Description |
|---|---|
| VirtualMachineScaleSets |
建立虛擬機擴展集所支援的代理程式集區。 |
| AvailabilitySet |
強烈建議不要使用此方式。 |
| VirtualMachines |
建立單一實例 VM 協調流程模式支援的代理程式集區。 |
AgentPoolUpgradeSettings
升級代理程式集池的設定
| 名稱 | 類型 | Description |
|---|---|---|
| drainTimeoutInMinutes |
integer (int32) minimum: 1maximum: 1440 |
節點的耗盡超時。 等待收回 Pod 的時間量,以及每個節點的正常終止時間。 此收回等候時間會接受等候 Pod 中斷預算。 如果超過這個時間,升級就會失敗。 如果未指定,則預設值為 30 分鐘。 |
| maxSurge |
string |
升級期間激增的節點數目或百分比上限。 這可以設定為整數(例如 '5')或百分比(例如 '50%')。 如果指定了百分比,則它是升級時代理程式集區大小總計的百分比。 針對百分比,小數節點會四捨五入。 如果未指定,則預設值為 10%。 如需詳細資訊,包括最佳做法,請參閱:https://learn.microsoft.com/en-us/azure/aks/upgrade-cluster |
| maxUnavailable |
string |
升級期間可以同時無法使用的節點數目或百分比上限。 這可以設定為整數(例如 '1')或百分比(例如 '5%')。 如果指定了百分比,則它是升級時代理程式集區大小總計的百分比。 針對百分比,小數節點會四捨五入。 如果未指定,則預設值為 0。 如需詳細資訊,包括最佳做法,請參閱:https://learn.microsoft.com/en-us/azure/aks/upgrade-cluster |
| nodeSoakDurationInMinutes |
integer (int32) minimum: 0maximum: 30 |
節點的soak持續時間。 清空節點並重新製作映射並移至下一個節點之前,等待的時間量(以分鐘為單位)。 如果未指定,則預設值為0分鐘。 |
| undrainableNodeBehavior |
定義升級期間無法透支節點的行為。 無法透支節點最常見的原因是 Pod 中斷預算 (PDB),但其他問題,例如 Pod 終止寬限期超過剩餘的個別節點清空逾時,或 Pod 仍在執行中狀態,也可能導致無法執行的節點。 |
AgentPoolWindowsProfile
Windows 代理程式集區的特定配置檔。
| 名稱 | 類型 | Description |
|---|---|---|
| disableOutboundNat |
boolean |
是否在 Windows 節點中禁用 OutboundNAT。 預設值為 False。 只有在叢集 outboundType 是 NAT 閘道,且 Windows 代理程式集區未啟用節點公用 IP 時,才能停用輸出 NAT。 |
AutoScaleProfile
自動調整的規格。
| 名稱 | 類型 | Description |
|---|---|---|
| maxCount |
integer (int32) |
指定大小的節點數目上限。 |
| minCount |
integer (int32) |
指定大小的節點數目下限。 |
| size |
string |
AKS 在建立和調整時將使用的 VM 大小,例如 'Standard_E4s_v3'、'Standard_E16s_v3' 或 'Standard_D16s_v5'。 |
Code
告知叢集是否正在執行或已停止
| 值 | Description |
|---|---|
| Running |
叢集正在執行。 |
| Stopped |
叢集已停止。 |
createdByType
建立此資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
CreationData
從來源資源建立目標資源時所使用的數據。
| 名稱 | 類型 | Description |
|---|---|---|
| sourceResourceId |
string (arm-id) |
這是要用來建立目標物件的來源物件的 ARM 識別碼。 |
DRANETMode
特工池的DRANET模式。
| 值 | Description |
|---|---|
| Unmanaged |
DRANET 不受 AKS 管理。 |
| Managed |
DRANET 由 AKS 管理。 |
DRANETProfile
DRANET 代理池的設定。
| 名稱 | 類型 | Description |
|---|---|---|
| mode |
特工池的DRANET模式。 |
ErrorAdditionalInfo
資源管理錯誤其他資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
其他資訊。 |
| type |
string |
其他信息類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤的其他資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
error 物件。 |
GPUDriver
是否要安裝 GPU 驅動程式。 未指定時,預設值為 [安裝]。
| 值 | Description |
|---|---|
| Install |
安裝驅動程式。 |
| None |
略過驅動程式安裝。 |
GPUInstanceProfile
要用來為支援的 GPU VM SKU 指定 GPU MIG 實例設定檔的 GPUInstanceProfile。
| 值 | Description |
|---|---|
| MIG1g |
MIG 1g GPU 實例設定檔。 |
| MIG2g |
MIG 2G GPU 實例設定檔。 |
| MIG3g |
MIG 3G GPU 實例設定。 |
| MIG4g |
MIG 4G GPU 實例設定檔。 |
| MIG7g |
MIG 7g GPU 實例設定。 |
GPUProfile
代理程式集區的 GPU 設定。
| 名稱 | 類型 | Description |
|---|---|---|
| driver |
是否要安裝 GPU 驅動程式。 未指定時,預設值為 [安裝]。 |
IPTag
包含與 對象相關聯的IPTag。
| 名稱 | 類型 | Description |
|---|---|---|
| ipTagType |
string |
IP 標籤類型。 範例:RoutingPreference。 |
| tag |
string |
與公用IP相關聯的IP標籤。 範例:因特網。 |
KubeletConfig
代理程序節點的 Kubelet 組態。 如需詳細資訊,請參閱 AKS 自定義節點組態。
| 名稱 | 類型 | Description |
|---|---|---|
| allowedUnsafeSysctls |
string[] |
允許的不安全 sysctls 或 unsafe sysctl 模式清單(結尾為 |
| containerLogMaxFiles |
integer (int32) minimum: 2 |
容器可存在的容器記錄檔數目上限。 數字必須≥ 2。 |
| containerLogMaxSizeMB |
integer (int32) |
容器記錄檔的大小上限(例如 10Mi)在輪替之前。 |
| cpuCfsQuota |
boolean |
如果針對指定 CPU 限制的容器啟用 CPU CFS 配額強制執行。 預設值為 True。 |
| cpuCfsQuotaPeriod |
string |
CPU CFS 配額期間值。 默認值為 『100 毫秒』。 有效值是具有選擇性分數和單位後綴的十進位數序列。 例如:『300ms』、『2h45m』。 支持的單位為 『ns』、『us』、『ms』、『s』、'm'和 'h'。 |
| cpuManagerPolicy |
string |
要使用的 CPU 管理員原則。 預設值為 『none』。 如需詳細資訊 ,請參閱 Kubernetes CPU 管理原則 。 允許的值為 『none』 和 『static』。 |
| failSwapOn |
boolean |
如果設定為 true,當節點上啟用交換時,Kubelet 將無法啟動。 |
| imageGcHighThreshold |
integer (int32) |
磁碟使用量的百分比,之後映射垃圾收集一律會執行。 若要停用映射垃圾收集,請將 設定為100。 預設值為85% |
| imageGcLowThreshold |
integer (int32) |
永遠不會執行映射垃圾收集的磁碟使用量百分比。 這無法設定高於 imageGcHighThreshold。 預設值為 80% |
| podMaxPids |
integer (int32) |
每個 Pod 的進程數目上限。 |
| topologyManagerPolicy |
string |
要使用的拓撲管理員原則。 如需詳細資訊,請參閱 Kubernetes 拓撲管理員。 預設值為 『none』。 允許的值為 'none'、'best-effort'、'restricted'和 'single-numa-node'。 |
KubeletDiskType
決定空 Dir 卷的放置位置、容器執行時資料根,以及 Kubelet 臨時儲存(ephemeral storage)。
| 值 | Description |
|---|---|
| OS |
Kubelet 會將 OS 磁碟用於其數據。 |
| Temporary |
Kubelet 會將其數據使用暫存磁碟。 |
LinuxOSConfig
Linux 代理程序節點的 OS 組態。 如需詳細資訊,請參閱 AKS 自定義節點組態。
| 名稱 | 類型 | Description |
|---|---|---|
| swapFileSizeMB |
integer (int32) |
將在每個節點上建立之交換檔案 MB 的大小。 |
| sysctls |
Linux 代理程序節點的 Sysctl 設定。 |
|
| transparentHugePageDefrag |
string |
核心是否應該積極使用記憶體壓縮,讓更多的大量頁面可供使用。 有效值為 'always'、'defer'、'defer+madvise'、'madvise' 和 'never'。 默認值為 「瘋狂」。 如需詳細資訊,請參閱 Transparent Hugepages。 |
| transparentHugePageEnabled |
string |
是否啟用透明巨頁。 有效值為 『always』、『madvise』和 『never』。 默認值為 『always』。 如需詳細資訊,請參閱 Transparent Hugepages。 |
LocalDNSForwardDestination
要從 localDNS 轉發的 DNS 查詢的目標伺服器。
| 值 | Description |
|---|---|
| ClusterCoreDNS |
將 DNS 查詢從 localDNS 轉送至叢集 CoreDNS。 |
| VnetDNS |
將 DNS 查詢從 localDNS 轉送至 VNET 中設定的 DNS 伺服器。 一個 VNET 可以配置多個 DNS 伺服器。 |
LocalDNSForwardPolicy
用於選擇上游 DNS 伺服器的轉發策略。 有關更多資訊,請參閱 forward plugin 。
| 值 | Description |
|---|---|
| Sequential |
實作循序上游 DNS 伺服器選取。 有關更多資訊,請參閱 forward plugin 。 |
| RoundRobin |
實作循環資源上游 DNS 伺服器選取。 有關更多資訊,請參閱 forward plugin 。 |
| Random |
實現隨機上游DNS伺服器選擇。 有關更多資訊,請參閱 forward plugin 。 |
LocalDNSMode
localDNS 的啟用模式。
| 值 | Description |
|---|---|
| Preferred |
如果目前的 Orchestrator 版本支援此功能,請最好啟用 localDNS。 |
| Required |
啟用 localDNS。 |
| Disabled |
停用 localDNS。 |
LocalDNSOverride
localDNS 設定檔的覆蓋。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| cacheDurationInSeconds |
integer (int32) |
3600 |
緩存最大 TTL(以秒為單位)。 有關更多資訊,請參閱 緩存外掛程式 。 |
| forwardDestination | ClusterCoreDNS |
要從 localDNS 轉發的 DNS 查詢的目標伺服器。 |
|
| forwardPolicy | Sequential |
用於選擇上游 DNS 伺服器的轉發策略。 有關更多資訊,請參閱 forward plugin 。 |
|
| maxConcurrent |
integer (int32) |
1000 |
最大併發查詢數。 有關更多資訊,請參閱 forward plugin 。 |
| protocol | PreferUDP |
對於從 localDNS 到上游 DNS 伺服器的連接,強制執行 TCP 或首選 UDP 協定。 |
|
| queryLogging | Error |
localDNS 中 DNS 查詢的日誌級別。 |
|
| serveStale | Immediate |
用於提供過時數據的策略。 有關更多資訊,請參閱 緩存外掛程式 。 |
|
| serveStaleDurationInSeconds |
integer (int32) |
3600 |
提供過時的持續時間(以秒為單位)。 有關更多資訊,請參閱 緩存外掛程式 。 |
LocalDNSProfile
使用 VnetDNS 和 KubeDNS 覆蓋配置每個節點的本地 DNS。 LocalDNS 有助於提高 AKS 群集中 DNS 解析的性能和可靠性。 有關更多詳細資訊,請參閱 aka.ms/aks/localdns。
| 名稱 | 類型 | 預設值 | Description |
|---|---|---|---|
| kubeDNSOverrides |
<string,
Local |
KubeDNS 覆蓋適用於來自 dnsPolicy:ClusterFirst 的 Pod 的 DNS 流量(稱為 KubeDNS 流量)。 |
|
| mode | Preferred |
localDNS 的啟用模式。 |
|
| state |
系統產生的 localDNS 狀態。 |
||
| vnetDNSOverrides |
<string,
Local |
VnetDNS 覆蓋適用於來自 dnsPolicy:default 或 kubelet 的 Pod 的 DNS 流量(稱為 VnetDNS 流量)。 |
LocalDNSProtocol
對於從 localDNS 到上游 DNS 伺服器的連接,強制執行 TCP 或首選 UDP 協定。
| 值 | Description |
|---|---|
| PreferUDP |
偏好從 localDNS 連線到上游 DNS 伺服器的 UDP 通訊協定。 |
| ForceTCP |
強制執行從 localDNS 到上游 DNS 伺服器的連線的 TCP 通訊協定。 |
LocalDNSQueryLogging
localDNS 中 DNS 查詢的日誌級別。
| 值 | Description |
|---|---|
| Error |
在localDNS中啟用錯誤記錄。 有關更多資訊,請參閱 errors 外掛程式 。 |
| Log |
在localDNS中啟用查詢記錄。 有關更多資訊,請參閱 log外掛程式 。 |
LocalDNSServeStale
用於提供過時數據的策略。 有關更多資訊,請參閱 緩存外掛程式 。
| 值 | Description |
|---|---|
| Verify |
透過驗證提供過時的資料。 首先驗證源中的條目是否仍然不可用,然後再將過期的條目發送到用戶端。 有關更多資訊,請參閱 緩存外掛程式 。 |
| Immediate |
立即提供過時的資料。 將過期的條目發送到客戶端,然後檢查該條目是否可從源獲得。 有關更多資訊,請參閱 緩存外掛程式 。 |
| Disable |
停用提供過時的資料。 |
LocalDNSState
系統產生的 localDNS 狀態。
| 值 | Description |
|---|---|
| Enabled |
localDNS 已啟用。 |
| Disabled |
localDNS 已停用。 |
ManualScaleProfile
機器數目的規格。
| 名稱 | 類型 | Description |
|---|---|---|
| count |
integer (int32) |
節點數目。 |
| size |
string |
AKS 在建立和調整時將使用的 VM 大小,例如 'Standard_E4s_v3'、'Standard_E16s_v3' 或 'Standard_D16s_v5'。 |
OSDiskType
要用於代理程式集區中機器的 OS 磁碟類型。 如果 VM 支援,且快取磁碟大於要求的 OSDiskSizeGB,則預設值為 「暫時」。 否則,預設為 「受控」。 建立之後可能不會變更。 更多資訊請參見 Ephemeral OS。
| 值 | Description |
|---|---|
| Managed |
Azure 會將虛擬機的作系統磁碟複寫至 Azure 記憶體,以避免數據遺失,如果 VM 需要重新放置至另一部主機。 由於容器並非設計為保存本機狀態,因此此行為會提供有限的值,同時提供一些缺點,包括較慢的節點布建和較高的讀取/寫入延遲。 |
| Ephemeral |
暫時 OS 磁碟只會儲存在主電腦上,就像暫存磁碟一樣。 這可提供較低的讀取/寫入延遲,以及更快的節點調整和叢集升級。 |
OSSKU
指定代理程式集區所使用的 OS SKU。 如果OSType為Linux,則預設值為Ubuntu。 當 Kubernetes <= 1.24 或 Windows2022 時,如果 OSType >為 Windows,則預設值為 Windows2019。
| 值 | Description |
|---|---|
| Ubuntu |
使用Ubuntu作為節點映像的OS。 |
| AzureLinux |
使用 AzureLinux 作為節點映像的 OS。 Azure Linux 是由 Microsoft 開發的容器優化 Linux 發行版,詳情請造訪 https://aka.ms/azurelinux。 |
| AzureLinux3 |
使用 AzureLinux3 作為節點映像的 OS。 Azure Linux 是由 Microsoft 開發的容器優化 Linux 發行版,詳情請造訪 https://aka.ms/azurelinux。 有關限制,請訪問 https://aka.ms/aks/node-images。 如需作業系統移轉指引,請參閱 https://aka.ms/aks/upgrade-os-version。 |
| CBLMariner |
已被取代的 OSSKU。 Microsoft 建議新部署時應選擇「AzureLinux」。 |
| Windows2019 |
使用 Windows2019 作為節點映像的 OS。 不支援系統節點集區。 Windows2019 僅支援 Windows2019 容器;它無法執行 Windows2022 容器,反之亦然。 |
| Windows2022 |
使用 Windows2022 作為節點映像的 OS。 不支援系統節點集區。 Windows2022 僅支援 Windows2022 容器;它無法執行 Windows2019 容器,反之亦然。 |
| Ubuntu2204 |
使用Ubuntu2204作為節點映像的作系統,但是,並非所有節點池都支援Ubuntu 22.04。 如需限制和支援的 Kubernetes 版本,請參閱 https://aka.ms/aks/supported-ubuntu-versions |
| Windows2025 |
使用 Windows2025 作為節點映像的作業系統。 不支援系統節點集區。 Windows2025 支援 Windows2022 與 Windows 2025 容器;但無法執行 Windows2019 容器,反之亦然。 |
| Ubuntu2404 |
使用Ubuntu2404作為節點映像的作系統,但是,並非所有節點池都支援Ubuntu 24.04。 有關限制和支援的 kubernetes 版本,請參閱 https://aka.ms/aks/supported-ubuntu-versions |
| AzureContainerLinux |
Node 映像檔的作業系統是用 Azure Container Linux。 Azure Container Linux 是一個基於 Azure Linux 建置的容器優化、以安全性為重點的 Linux 作業系統,並擁有不可變的檔案系統。 ACL 源自 Flatcar Container Linux 專案,建立在 Flatcar 經過驗證的容器優先、不可變設計基礎上,同時加入 Azure Linux 套件、服務,以及與 Azure 和 AKS 生命週期深度整合。 如需詳細資訊,請參閱 https://aka.ms/azurecontainerlinux |
OSType
作系統類型。 預設值為 Linux。
| 值 | Description |
|---|---|
| Linux |
使用 Linux。 |
| Windows |
使用 Windows。 |
PodIPAllocationMode
Pod IP 分配模式。 代理程式集區中 Pod 的 IP 配置模式。 必須與 podSubnetId 搭配使用。 預設值為 『DynamicIndividual』。
| 值 | Description |
|---|---|
| DynamicIndividual |
每個節點都分配了一個可分配給 Pod 的非連續 IP 位址清單。 這更適合將大小為 /16 或更小的小型到中型子網最大化。 如果客戶未明確指定 podIPAllocationMode,則具有動態 IP 配置的 Azure CNI 叢集預設為此模式 |
| StaticBlock |
每個節點都是靜態配置的 CIDR 區塊/28 = 每個區塊 16 個 IP,以滿足每個節點的 maxPods。 ciDR 區塊數目 >= (maxPods / 16)。 該區塊不只是單一 IP,而是會計入 Azure Vnet 私有 IP 限制的 65K。 因此,區塊模式適用於在叢集中執行大於目前 65K Pod 限制的較大工作負載。 此模式更適合使用 /15 或更大的子網進行調整 |
PortRange
埠範圍。
| 名稱 | 類型 | Description |
|---|---|---|
| portEnd |
integer (int32) minimum: 1maximum: 65535 |
範圍中包含的最大埠。 它的範圍應從 1 到 65535,且大於或等於 portStart。 |
| portStart |
integer (int32) minimum: 1maximum: 65535 |
範圍中包含的最小埠。 它的範圍應從 1 到 65535,且小於或等於 portEnd。 |
| protocol |
埠的網路通訊協定。 |
PowerState
描述叢集的電源狀態
| 名稱 | 類型 | Description |
|---|---|---|
| code |
告知叢集是否正在執行或已停止 |
Protocol
埠的網路通訊協定。
| 值 | Description |
|---|---|
| TCP |
TCP 通訊協定。 |
| UDP |
UDP 通訊協定。 |
ScaleDownMode
描述如何將 VM 新增至代理程式集區或從代理程式集區移除。 請參閱 計費狀態。
| 值 | Description |
|---|---|
| Delete |
在相應增加期間建立新的實例,並在相應減少期間移除實例。 |
| Deallocate |
嘗試在相應增加期間啟動已解除分配的實例,並在相應減少期間解除分配實例。 |
ScaleProfile
如何調整 VirtualMachines 代理程式集區的規格。
| 名稱 | 類型 | Description |
|---|---|---|
| autoscale |
如何自動調整預先定義大小範圍內的 VirtualMachines 代理程式集區規格。
每個配置檔針對特定的虛擬機 SKU 進行獨立評估。
跨設定檔的縮放決策由叢集自動縮放器擴充器控制,可透過 |
|
| manual |
如何將 VirtualMachines 代理程式集區調整為固定大小的規格。 |
ScaleSetEvictionPolicy
虛擬機器擴展集收回原則。 驅逐政策會明確說明當虛擬機被驅逐時to do什麼。 預設值為刪除。 欲了解更多驅逐資訊,請參見 spot VMs
| 值 | Description |
|---|---|
| Delete |
節點集區基礎擴展集中的節點會在收回時刪除。 |
| Deallocate |
節點集區基礎擴展集中的節點會在收回時設定為已停止解除分配的狀態。 針對計算配額,停止解除分配狀態計數中的節點,並可能導致叢集調整或升級的問題。 |
ScaleSetPriority
虛擬機擴展集優先順序。
| 值 | Description |
|---|---|
| Spot |
將會使用現成優先順序 VM。 現成節點沒有 SLA。 如需詳細資訊,請參閱 AKS 上的 |
| Regular |
將會使用一般 VM。 |
SysctlConfig
Linux 代理程序節點的 Sysctl 設定。
| 名稱 | 類型 | Description |
|---|---|---|
| fsAioMaxNr |
integer (int32) |
Sysctl 設定 fs.aio-max-nr。 |
| fsFileMax |
integer (int32) |
Sysctl 設定 fs.file-max。 |
| fsInotifyMaxUserWatches |
integer (int32) |
Sysctl 設定fs.inotify.max_user_watches。 |
| fsNrOpen |
integer (int32) |
Sysctl 設定fs.nr_open。 |
| kernelThreadsMax |
integer (int32) |
Sysctl 設定 kernel.threads-max。 |
| netCoreNetdevMaxBacklog |
integer (int32) |
Sysctl 設定net.core.netdev_max_backlog。 |
| netCoreOptmemMax |
integer (int32) |
Sysctl 設定net.core.optmem_max。 |
| netCoreRmemDefault |
integer (int32) |
Sysctl 設定net.core.rmem_default。 |
| netCoreRmemMax |
integer (int32) |
Sysctl 設定net.core.rmem_max。 |
| netCoreSomaxconn |
integer (int32) |
Sysctl 設定 net.core.somaxconn。 |
| netCoreWmemDefault |
integer (int32) |
Sysctl 設定net.core.wmem_default。 |
| netCoreWmemMax |
integer (int32) |
Sysctl 設定net.core.wmem_max。 |
| netIpv4IpLocalPortRange |
string |
Sysctl 設定net.ipv4.ip_local_port_range。 |
| netIpv4NeighDefaultGcThresh1 |
integer (int32) |
Sysctl 設定net.ipv4.neigh.default.gc_thresh1。 |
| netIpv4NeighDefaultGcThresh2 |
integer (int32) |
Sysctl 設定net.ipv4.neigh.default.gc_thresh2。 |
| netIpv4NeighDefaultGcThresh3 |
integer (int32) |
Sysctl 設定net.ipv4.neigh.default.gc_thresh3。 |
| netIpv4TcpFinTimeout |
integer (int32) |
Sysctl 設定net.ipv4.tcp_fin_timeout。 |
| netIpv4TcpKeepaliveProbes |
integer (int32) |
Sysctl 設定net.ipv4.tcp_keepalive_probes。 |
| netIpv4TcpKeepaliveTime |
integer (int32) |
Sysctl 設定net.ipv4.tcp_keepalive_time。 |
| netIpv4TcpMaxSynBacklog |
integer (int32) |
Sysctl 設定net.ipv4.tcp_max_syn_backlog。 |
| netIpv4TcpMaxTwBuckets |
integer (int32) |
Sysctl 設定net.ipv4.tcp_max_tw_buckets。 |
| netIpv4TcpTwReuse |
boolean |
Sysctl 設定net.ipv4.tcp_tw_reuse。 |
| netIpv4TcpkeepaliveIntvl |
integer (int32) minimum: 10maximum: 90 |
Sysctl 設定net.ipv4.tcp_keepalive_intvl。 |
| netNetfilterNfConntrackBuckets |
integer (int32) minimum: 65536maximum: 524288 |
Sysctl 設定net.netfilter.nf_conntrack_buckets。 |
| netNetfilterNfConntrackMax |
integer (int32) minimum: 131072maximum: 2097152 |
Sysctl 設定net.netfilter.nf_conntrack_max。 |
| vmMaxMapCount |
integer (int32) |
Sysctl 設定vm.max_map_count。 |
| vmSwappiness |
integer (int32) |
Sysctl 設定 vm.swappiness。 |
| vmVfsCachePressure |
integer (int32) |
Sysctl 設定vm.vfs_cache_pressure。 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立此資源的身分。 |
| createdByType |
建立此資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
上次修改的資源時間戳 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |
UndrainableNodeBehavior
定義升級期間無法透支節點的行為。 無法透支節點最常見的原因是 Pod 中斷預算 (PDB),但其他問題,例如 Pod 終止寬限期超過剩餘的個別節點清空逾時,或 Pod 仍在執行中狀態,也可能導致無法執行的節點。
| 值 | Description |
|---|---|
| Cordon |
AKS 會封鎖封鎖的節點,並在升級期間以激增節點取代它們。 封鎖的節點將會受到封鎖,並以激增節點取代。 封鎖的節點將會有標籤 『kubernetes.azure.com/upgrade-status:Quarantined』。 每個已封鎖節點都會保留激增節點。 系統會盡最大努力嘗試刪除所有其他激增節點。 如果有足夠的激增節點來取代封鎖的節點,則升級作業和受控叢集將會處於失敗狀態。 否則,升級作業和受控叢集將會處於取消狀態。 |
| Schedule |
AKS 會將封鎖的節點標示為可分次,但未升級封鎖的節點。 系統會盡最大努力嘗試刪除所有激增節點。 如果有任何封鎖的節點,升級作業和受控叢集將會處於失敗狀態。 |
VirtualMachineNodes
相同 VM 大小的節點群組目前狀態。
| 名稱 | 類型 | Description |
|---|---|---|
| count |
integer (int32) |
節點數目。 |
| size |
string |
用來裝載此節點群組之代理程式的 VM 大小。 |
VirtualMachinesProfile
VirtualMachines 代理程式集區的規格。
| 名稱 | 類型 | Description |
|---|---|---|
| scale |
如何調整 VirtualMachines 代理程式集區的規格。 |
WorkloadRuntime
決定節點可執行的工作負載類型。
| 值 | Description |
|---|---|
| OCIContainer |
節點會使用 Kubelet 來執行標準 OCI 容器工作負載。 |
| WasmWasi |
節點會使用 Krustlet 使用 WASI 提供者來執行 WASM 工作負載(預覽)。 |
| KataVmIsolation |
節點可以使用 (Kata + Cloud Hypervisor + Hyper-V) 來啟用巢狀虛擬機器型網繭。 由於使用 Hyper-V,AKS 節點作業系統本身是 Hyper-V 的巢狀虛擬機(根作業系統)。 因此,它只能與支援巢狀虛擬化的 VM 系列搭配使用,例如 Dv3 系列。 |